Bug 1526943 - Microcode on AMD family 16h processors not updated early in the boot process [rhel-7.4.z]
Summary: Microcode on AMD family 16h processors not updated early in the boot process ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dracut
Version: 7.3
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: rc
: ---
Assignee: Lukáš Nykrýn
QA Contact: Release Test Team
Marie Dolezelova
URL:
Whiteboard:
: 1529308 (view as bug list)
Depends On: 1476039
Blocks: CVE-2017-5715
TreeView+ depends on / blocked
 
Reported: 2017-12-18 09:02 UTC by Oneata Mircea Teodor
Modified: 2018-01-08 10:10 UTC (History)
14 users (show)

Fixed In Version: dracut-033-502.el7_4.1
Doc Type: Bug Fix
Doc Text:
Previously, the dracut tool incorrectly copied the AMD family 15h microcode into the Initial RAM File System (initramfs) on systems with AMD family 16h processors. Consequently, the microcode on such systems was not updated early enough in the boot process. This update fixes dracut to copy the correct AMD family 16h microcode into initramfs, and the microcode is now correctly updated in the early phase of the boot process.
Clone Of: 1476039
Environment:
Last Closed: 2018-01-04 23:48:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0042 normal SHIPPED_LIVE dracut bug fix update 2018-01-05 04:46:33 UTC

Description Oneata Mircea Teodor 2017-12-18 09:02:17 UTC
This bug has been copied from bug #1476039 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 3 Jan Stodola 2018-01-03 11:41:44 UTC
Reproduced on RHEL-7.4 GA.
Verified with dracut-033-502.el7_4.1 on systems with AMD CPU, families 21 and 22. In both cases the correct microcode was included in the early CPIO image:

Family 21:
# cat /proc/cpuinfo | grep "cpu family" | head -n1
cpu family      : 21
# ls -l /usr/lib/firmware/amd-ucode/
total 40
-rw-r--r--. 1 root root 12684 Jun 26  2017 microcode_amd.bin
-rw-r--r--. 1 root root   490 Jun 26  2017 microcode_amd.bin.asc
-rw-r--r--. 1 root root  7876 Jun 26  2017 microcode_amd_fam15h.bin
-rw-r--r--. 1 root root   473 Jun 26  2017 microcode_amd_fam15h.bin.asc
-rw-r--r--. 1 root root  3510 Jun 26  2017 microcode_amd_fam16h.bin
-rw-r--r--. 1 root root   473 Jun 26  2017 microcode_amd_fam16h.bin.asc
# lsinitrd | grep AMD
-rw-r--r--   1 root     root         7876 Jan  3 06:17 kernel/x86/microcode/AuthenticAMD.bin
#

Family 22:
# cat /proc/cpuinfo | grep "cpu family" | head -n1
cpu family      : 22
# ls -l /usr/lib/firmware/amd-ucode/
total 40
-rw-r--r--. 1 root root 12684 Jun 26  2017 microcode_amd.bin
-rw-r--r--. 1 root root   490 Jun 26  2017 microcode_amd.bin.asc
-rw-r--r--. 1 root root  7876 Jun 26  2017 microcode_amd_fam15h.bin
-rw-r--r--. 1 root root   473 Jun 26  2017 microcode_amd_fam15h.bin.asc
-rw-r--r--. 1 root root  3510 Jun 26  2017 microcode_amd_fam16h.bin
-rw-r--r--. 1 root root   473 Jun 26  2017 microcode_amd_fam16h.bin.asc
# lsinitrd | grep AMD
-rw-r--r--   1 root     root         3510 Jan  3 06:34 kernel/x86/microcode/AuthenticAMD.bin
#

Moving to VERIFIED.

Comment 5 Lukáš Nykrýn 2018-01-04 10:30:32 UTC
*** Bug 1529308 has been marked as a duplicate of this bug. ***

Comment 7 errata-xmlrpc 2018-01-04 23:48:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0042


Note You need to log in before you can comment on or make changes to this bug.